* {
   margin: 0;
   padding: 0;
   box-sizing: border-box; 
   text-decoration: none;
   border: none;
   outline: none;
   scroll-behavior: smooth;
   font-family: -apple-system, sans-serif;
}

:root {
    --bg-color: #ffff;
    --snd-bg-color: #aba869;
    --text-color: #000;
    --main-color: #aba869;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

section {
    min-height: 70vh;
    padding: 10rem 9% 2rem;
}

/*Header Section Code*/

.header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 100;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem 5%;
    background: var(--main-color);
    backdrop-filter: blur(10px);
    transition: all 0.5 ease;
}

.logo {
    font-size: 3rem;
    color: var(--bg-color);
    font-weight: 700;
    cursor: pointer;
    transition: 0.3s ease;
}

.logo:hover {
    transform: scale(1.10);
}

.navbar a {
    font-size: 1.9rem;
    color: var(--bg-color);
    margin-left: 4rem;
    font-weight: 700;
    transition: 0.3s ease;
}

.navbar a:hover,
.navbar a.active {
    color: var(--text-color)
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--bg-color);
    cursor: pointer;
    display: none;
}

/* Home section Code */

.home {
    display: flex;
    justify-content: center;
    align-items: center;
}

.home-img img {
    width: 25vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    animation: floatImage 4s ease-in-out infinite;
    transition: 0.4s ease;
}

.home-img img:hover {
    box-shadow: 0 0 25px var(--main-color),
                0 0 35px var(--main-color),
                0 0 45px var(--main-color);
}

@keyframes floatImage {
    0% {
       transform: translateY(0);
    }
    50% {
       transform: translateY(-2.4rem);
    }
    100% {
       transform: translateY(0);
    }
}

.home-content {
    margin-left: 5rem;
}

.home-content h3 {
    font-size: 3.7rem;
    font-weight: 700;
}

.home-content h3:nth-of-type(2) {
    margin-bottom: 2rem;
}

span {
    color: var(--text-color)
}

.home-content h1 {
    font-size: 6rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content p {
    font-size: 1.6rem;
}

.sosial-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 42px;
    height: 42px;
    background: transparent;
    border: 0.2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 2rem;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;
}

.sosial-media a:hover {
    transform: scale(1.2) translateY(-10px);
    background-color: var(--main-color);
    color: var(--bg-color);
    box-shadow: 0 0 25px var(--main-color);
}

.btn  {
    display: inline-block;
    padding: 2rem 2.8rem;
    background-color: var(--main-color);
    border-radius: 4rem;
    box-shadow: none;
    font-size: 1.6rem;
    color: var(--bg-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease;
}

.btn:hover {
    box-shadow: 0 0 1.6rem var(--main-color);
}



.about {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    background: var(--snd-bg-color);
}

.about-img img {
    width: 25vw;
    border: 2px solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease;
}

.about-img img:hover {
    box-shadow: 0 0 25px var(--main-color),
                0 0 35px var(--main-color),
                0 0 45px var(--main-color);
}

.heading {
    font-size: 5rem;
    text-align: left;
}

.about-content {
    padding: 1rem;
}

.about-content h2{
    text-align: left;
    line-height: 1.2;
}

.about-content h3 {
    font-size: 4rem;
}

.about-content p {
    font-size: 2rem;
    margin: 5rem, 5rem;
}

.services h2 {
    text-align: center;
    margin-bottom: 6rem;
}

.services-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.services image {
    width: 15rem;
    border-radius: 50%;
    border: 3px solid var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
}

.services-container .services-box {
    flex: 1 1 30rem;
    background: var(--bg-color);
    padding: 6rem 2rem 6rem;
    border-radius: 2rem;
    text-align: center;
    border: 0.3rem solid var(--bg-color);
    transition: 0.3s ease;
}

.services-container .services-box:hover {
    border-color: var(--bg-color);
    transform: scale(1.02);
}

.services-box i {
    font-size: 7rem;
    color: var(--text-color);
}

.services-box h3 {
    font-size: 2.6rem;
}

.services-box p {
    font-size: 2rem;
    margin: 1rem 0 3rem;
}

.testimonial {
    background: var(--snd-bg-color);
}

.testimonial-box {
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.testimonial .heading {
    margin-bottom: 5rem;
}

.testimonial-box img {
    width: 56rem;
    border-radius: 50%;
    border: 3px solid var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
}

.wrapper {
    display: grid;
    grid-template-columns: repeat(3,1fr);
}

.testimonial-item {
    min-height: 700px;
    max-width: 700px;
    background: var(--bg-color);
    border: 0.3rem solid var(--bg-color);
    border-radius: 2rem;
    margin: 0 2rem;
    padding: 20 px 20px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    color: var(--text-color);
    transition: 0.3s ease;
}

.testimonial-item:hover {
    border-color: var(--main-color);
    transform: scale(1.02);
}

.testimonial-item h2{
    font-size: 3rem;
}

.testimonial-item p {
    font-size: 1.8rem;
    text-align: center;
}

#star {
    color: gold;
    font-size: 2rem;
}

.footer {
    position:relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--bg-color);
}

.footer .social {
    text-align: center;
    padding-bottom: 25px;
    color: var(--main-color);
}

.footer .social a {
    font-size: 25px;
    color: var(--snd-bg-color);
    border: 2px solid var(--snd-bg-color);
    width: 50px;
    height: 50px;
    line-height: 50px;
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.3s ease;
}

.footer .social a:hover {
    transform: scale(1.2) translateY(-10px);
    background-color: var(--snd-bg-color);
    color: var(--bg-color);
    box-shadow: 0 0 25px var(--snd-bg-color); 
}

.footer .copyright {
    margin-top: 20px;
    text-align: center;
    font-size: 16px;
    color: var(--text-color);
}

@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
}

@media (max-width: 991px) {
    .header {
        padding: 2rem 3%;
    }
    section {
        padding: 10rem 3%;
    }
    .services {
        padding: 7rem;
    }
    .testimonial .wrapper {
        padding: 7rem;
    }
    .contact form .input-box input {
        width: 100%
    }
    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width: 991px) {
    #menu-icon {
        display: block;
    }
    .navbar {
        position: absolute;
        top: 100%;
        right: -100%;
        width: 255px;
        min-height: 100vh;
        display: flex;
        flex-direction: column;
        background: var(--main-color);
        transition: all 0.5s ease;
        backdrop-filter: blur(10px);
    }
    .navbar a{
        display: block;
        padding: 17px;
        font-size: 22px;
    }
    .navbar.active {
        right: 0;
    }
    .home {
        flex-direction: column;
    }
    .home-content h3 {
        font-size: 2.6rem;
    }
    .home-content h1 {
        font-size: 5rem;
    }
    .home-content {
        order: 2;
        margin-left: 1rem;
    }
    .home-img img {
        width: 70vw;
        margin-top: 4rem;
    }
    .about {
        flex-direction: column-reverse;
    }
    .about-img img {
        width: 70vw;
        margin-top: 4rem;
    }
    .services h2 {
        margin-bottom: 3rem;
    }
}

@media (max-width: 617px) {
    .home-img img {
        width: 70vw;
        margin-top: 8rem;
    }
    .about-img img {
        width: 70vw;
        margin-top: 4rem;
    }
}

@media (max-width: 617px) {
    html {
        font-size: 50%;
        
    }
}

.contact{
    background-color: var(--main-color);
}

.contact h2 {
    text-align: center;
}